Bug 493483 - KMS:RV670PRO:Radeon HD 3850 wrong mode on Iiyama Vision Master Pro 410
KMS:RV670PRO:Radeon HD 3850 wrong mode on Iiyama Vision Master Pro 410
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 18:03 EDT by Andrew Gormanly
Modified: 2010-12-05 01:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:57:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (100.11 KB, text/plain)
2009-11-21 17:21 EST, Andrew Gormanly
no flags Details
X log (67.94 KB, text/plain)
2009-11-21 17:21 EST, Andrew Gormanly
no flags Details

  None (edit)
Description Andrew Gormanly 2009-04-01 18:03:46 EDT
Description of problem:
Radeon driver gets wrong mode on Iiyama Vision Master Pro 410 monitor

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:
1152x864

Expected results:
1600x1200

Additional info:
Comment 1 Andrew Gormanly 2009-04-01 18:17:16 EDT
Radeon test day test 1
Comment 2 Andrew Gormanly 2009-04-01 18:34:03 EDT
Works if I don't use modeset.radeon=1 as a kernel parameter at the boot prompt
Comment 3 Matěj Cepl 2009-04-03 12:00:11 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 François Cami 2009-04-06 17:30:46 EDT
Andrew,

Could you please try to boot into runlevel 3 without nomodeset :
  nomodeset 3
and run the following commands :
  modprobe -r radeon drm
  modprobe drm debug=1
  modprobe radeon modeset=1
  init 5

Please add dmesg output, and Xorg.0.log from this attempt as
uncompressed *text/plain* attachments to this bug as well.

Thank you.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-06-09 09:02:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:24:34 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Andrew Gormanly 2009-11-21 17:20:00 EST
(In reply to comment #4)

Sorry for the horrendously slow reply.

Am attaching dmesg and Xorg log output for the Fedora 12 i686 case, in which the nomodeset boot parameter must be used to achieve 1600x1200 on this machine, after deletion of /etc/X11/xorg.conf.

The attached files are for the case where it does not work, after deleting xorg.conf and following the boot and modprobe process suggested by François (I get 1280x1024).  Simply booting with nomodeset works, though.

I hope to be able to try a hand-crafted xorg.conf with the radeonhd driver and report results.
Comment 8 Andrew Gormanly 2009-11-21 17:21:21 EST
Created attachment 372809 [details]
dmesg output
Comment 9 Andrew Gormanly 2009-11-21 17:21:55 EST
Created attachment 372810 [details]
X log
Comment 10 François Cami 2009-11-21 20:57:12 EST
All logs aboard, marking as triaged, switching owner to jglisse, keeping status as "NEW" as per new policy.

Thank you.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Chris Campbell 2009-12-08 13:25:32 EST
changing status to ASSIGNED (Fedora 12)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Jerome Glisse 2010-03-11 10:01:26 EST
Please boot with KMS enabled and with drm.debug=15 and attach dmesg & xorg log
Comment 13 Vedran Miletić 2010-05-24 15:19:08 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 14 Bug Zapper 2010-11-04 07:23:49 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-05 01:57:57 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.